Subject: [PATCH 4/4] [RFC] ARM: treewide: manually change more mach-*/*.h includes

From: [email-masked] (Tony Lindgren)
Date: Fri, 24 Aug 2012 13:36:23 -0700

* Arnd Bergmann <[email-masked]> [120823 10:27]:
> On Thursday 23 August 2012, Arnd Bergmann wrote:
> > On Wednesday 22 August 2012, Russell King - ARM Linux wrote:
> > > In any case, what we should be doing here as well is moving the headers
> > > included by drivers for platform data out of the arch/arm/mach/ subtrees
> > > and into include/linux/platform_data.  That will substantially reduce the
> > > amount of mach/ headers to deal with.
> > 
> > I've just looked at the {mach,plat}/*.h files that get included in ARM
> > specific drivers. Out of the 342 header files that get used in this way,
> > I found 93 that are practically just platform data, and a few that
> > are platform_data mixed with something else.
> > 
> > How about I move all the pure platform data definition files now and
> > rebase the other patches on top of that. Here is a list of suggested
> > file names in include/linux/platform_data/:
> 
> I've just scripted this and am running my build testsuite over it now.
> 
> Please let me know what you think about it.
> 
> 	Arnd
> 
> The following changes since commit fea7a08acb13524b47711625eebea40a0ede69a0:
> 
>   Linux 3.6-rc3 (2012-08-22 13:29:06 -0700)
> 
> are available in the git repository at:
> 
>   git://git.kernel.org/pub/scm/linux/kernel/git/arm/arm-soc.git 

I'd like to run some checks on this, but branch name missing here for
pulling a branch in for testing..
 
> for you to fetch changes up to 25296e032db173e8376123c2801cd233c9dc9b78:

..and -ENOSUCHCOMMIT after fetching in arm-soc tree.

Regards,

Tony